# MatIsHermitian

Test whether a matrix is Hermitian, i.e. it is the complex conjugate of its transpose.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatIsHermitian(Mat A,PetscTruth *flg)

Collective on Mat

### Input Parameter

A -the matrix to test

### Output Parameters

flg -the result

### C++ variants

| PetscTruth MatIsHermitian(Mat A) |  | -> |  | MatIsHermitian(A,&t); return t;

### See Also

MatTranspose(), MatIsTranspose(), MatIsSymmetric(), MatIsStructurallySymmetric(), MatSetOption()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages